Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.container
Class CacheInfo

    java.lang.Object
      org.jivesoftware.openfire.container.CacheInfo

    public class CacheInfo

extends Object

Configuration to use when creating caches. Caches can be used when running stand alone or when running in a cluster. When running in a cluster a few extra parameters might be needed. Read `getParams()` for more information.

Author:
  Gaston Dombiak

Nested Class Summary
`static class` | `CacheInfo.Type`

Constructor Summary
`CacheInfo(String cacheName, CacheInfo.Type type, Map<String,String> params)` Creates the configuration to use for the specified cache.

Method Summary
`String` | `getCacheName()`
`Map<String,String>` | `getParams()` Returns a map with the configuration to use for the cache.
`CacheInfo.Type` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheInfo

    public CacheInfo(String cacheName,
                     CacheInfo.Type type,
                     Map<String,String> params)

  Creates the configuration to use for the specified cache. Caches can be used when running as a standalone application or when running in a cluster. When running in a cluster a few extra configuration are going to be needed. Read `getParams()` for more information.

  Parameters:
    `cacheName` - name of the cache.
    `type` - type of cache to use when running in a cluster. Ignored when running as standalone.
    `params` - extra parameters that define cache properties like max size or expiration.

Method Detail

### getCacheName

    public String getCacheName()

### getType

    public CacheInfo.Type getType()

### getParams

    public Map<String,String> getParams()

  Returns a map with the configuration to use for the cache. When running standalone the following properties are required.
  - back-size-high - Maximum size of the cache. Size is in bytes. Zero means that there is no limit.
  - back-expiry - minutes, hours or days before content is expired. 10m, 12h or 2d. Zero means never.
  When running in a cluster this extra property is required. More properties can be defined depending on the clustering solution being used.
  - back-size-low - Size in byte of the cache after a clean up. Use zero to place no limit.

  Returns:
    map with the configuration to use for the cache.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.